@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
/* font-family: "Roboto", sans-serif; */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}

li {
    list-style-type: none;
}

a {
    text-decoration: none;
}

.container {
    display: grid;
    grid-template-columns: 1fr 4fr;
    grid-template-rows: 1fr 4fr;
    height: 100vh;
}

/* Sidebar */
.side-bar {
    display: grid;
    background-color: rgba(25, 146, 212, 255);
    color: #FFFFFF;
    grid-column: 1 / 2;
    grid-row: 1 / 3;
    padding: 15px 20px 20px 15px;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto 1fr;
    grid-gap: 35px;
}

.dash-image {
    width: 43px;
    padding-right: 8px;
}

.sidebar-header {
    display: flex;
    align-items: center;
}

.sidebar-header p {
    font-size: 20px;
    font-weight: bold;
}

.side-bar li {
    display: flex;
    align-items: center;
    margin-left: 7px;
    cursor: pointer;
}

.side-bar p:hover {
    border-bottom: 2px solid white;
}

/* Nav */
.nav-bar {
    grid-row: 2 / 3;
}

.nav-content {
    font-size: 18px;
    font-weight: bold;
}

.nav-content li {
    padding-bottom: 20px;
}

.icon-nav {
    width: 22px;
    margin-right: 20px;
}

.nav-settings-bar {
    padding-top: 15px;
    grid-row: 3 / 4;
}

.nav-settings {
    font-size: 18px;
    font-weight: bold;
}

.nav-settings li {
    padding-bottom: 20px;
}

/* Header top*/

.header-content {
    background-color: rgb(255, 255, 255);
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    box-shadow: 0px 3px 3px rgb(180, 180, 180);
    position: relative;
    width: 100%;
}

.top-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.search {
    padding: 17px 0 0 30px;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.search ion-icon {
    font-size: 20px;
    font-weight: 900;
}

.search input {
    max-width: 470px;
    width: 45vw;
    height: 30px;
    border-radius: 1rem;
    background-color: #E2E8F0;
    border: none;
    outline: 1px solid #9c9c9c;
    padding-left: 10px;
    font-size: 15px;
    opacity: 0.8;
}

.profile {
    max-width: 196.2px;
    min-width: 156.2px;
    margin-right: 50px;
    margin-top: 20px;
    width: 20vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    gap: 1.5rem;
    font-weight: bold;
}

.profile ion-icon {
    font-size: 22px;
}

.profile ion-icon:hover {
    transform: scale(1.1);
}

.perfil-img {
    width: 35px;
    height: auto;
}

.profile p {
    font-size: 16px;
    border-bottom: 1px solid black;
}

/* Bottom header */
.bottom-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 40px 30px 0px 30px;
    font-weight: bold;
}

.profile-display {
    display: flex;
    gap: 1.5rem;
    align-items: center;
    margin-bottom: 12px;
}

.profile-display img {
    width: 60px;
}

.name-greeting p {
    font-size: 13px;
    padding-bottom: 5px;
}

.name-greeting h4 {
    font-size: 22px;
}

.make-post {
    display: flex;
    flex-wrap: wrap;
    width: 25vw;
    max-width: 276px;
    min-width: 263px;
    justify-content: space-between;
    margin-right: 20px;
}

.button-post {
    cursor: pointer;
    background-color: #1992D4;
    color: #FFFFFF;
    outline: none;
    border: none;
    width: 80px;
    height: 40px;
    font-weight: 500;
    border-radius: 20px;
    font-size: 14px;
    transition: all ease .3s;
}

.button-post:hover {
    transform: scale(1.05);
}

/* Projects */

main {
    background-color: rgba(226, 232, 240, 255);
    grid-column: 2 / 3;
    grid-row: 2 / 3;
    display: grid;
    grid-template-columns: 3fr 1fr;
    grid-template-rows: 1fr 1fr;
    padding: 30px 20px 40px 20px;
    max-height: 100%;
}

.projects-display {
    grid-column: 1 / 2;
    grid-row: 1 / 3;
    margin-right: 20px;
}

.projects-display h2 {
    margin-bottom: 15px;
    font-weight: 500;
    font-size: 19px;
}

.projects-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    margin-right: 20px;
}

.projects {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 48%;
    height: 180px;
    background-color: #FFFFFF;
    border-radius: 5px;
    background-image: -webkit-linear-gradient(left, #88c7ff, #88c7ff 2%, transparent 2%, transparent 100%);
    box-shadow: 0px 3px 3px rgb(180, 180, 180);
    padding: 20px;
}

.projects-info {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
}

.projects-info h3 {
    font-size: 17.5px;
}

.projects-info p {
    opacity: 0.7;
    padding-bottom: 30px;
    font-size: 15px;
}

.projects-interaction {
    width: 100%;
}

.interaction-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
    width: 100%;
    gap: 1.5rem;
}

.interaction-option:hover {
    transform: scale(1.1);
    cursor: pointer;
}

/* Announcements */
.announcements-section {
    grid-row: 1 / 2;
    grid-column: 2 / 3;
}

.announcements-section-heading h3 {
    margin: 10px 0 10px 0;
    font-size: 19px;
}

.announcements-container {
    background-color: white;
    box-shadow: 0px 2px 3px rgb(175, 175, 175);
    padding: 20px;
    border-radius: 5px;
    min-width: 231px
}

hr {
    margin-block: 15px;
}

.announcements-heading {
    margin-bottom: 4px;
    font-size: 13.5px;
}

.announcements-description {
    font-size: 11.5px;
}

/* Trending */

.trending-profiles-section {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}

.trending-container {
    background-color: #FFFFFF;
    padding: 25px;
    border-radius: 5px;
    min-width: 231px;
    box-shadow: 0px 2px 3px rgb(175, 175, 175);
}

.trending-profile {
    display: flex;
    align-items: center;
    padding-bottom: 15px;
}

.img-profile-animals {
    width: 40px;
    height: 40px;
    border-radius: 30px;
    border: 1px solid rgb(197, 197, 197);
    margin-right: 10px;
}

.trending-username {
    font-size: 12px;
}

.trending-project {
    font-size: 12px;
    color: rgb(88, 88, 88);
}
